OpenNMS API 1.2.9

## org.opennms.netmgt.config.views
Class Views

    java.lang.Object
      org.opennms.netmgt.config.views.Views

All Implemented Interfaces:
  java.io.Serializable

public class Views
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_viewList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Views()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addView(int index, View vView)`
`void` `addView(View vView)`
`void` `clearView()`
`java.util.Enumeration` `enumerateView()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`View[]` `getView()`
`View` `getView(int index)`
`java.util.Collection` `getViewCollection()`
`int` `getViewCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeView(View vView)`
`void` `setView(int index, View vView)`
`void` `setView(View[] viewArray)`
`void` `setViewCollection(java.util.Collection vView)`
`static Views` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _viewList

    private java.util.ArrayList _viewList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Views

    public Views()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addView

    public void addView(View vView)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vView` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addView

    public void addView(int index,
                        View vView)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vView` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearView

    public void clearView()

### enumerateView

    public java.util.Enumeration enumerateView()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getView

    public View getView(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getView

    public View[] getView()

### getViewCollection

    public java.util.Collection getViewCollection()

### getViewCount

    public int getViewCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeView

    public boolean removeView(View vView)

  Parameters:
    `vView` -

### setView

    public void setView(int index,
                        View vView)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vView` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setView

    public void setView(View[] viewArray)

  Parameters:
    `viewArray` -

### setViewCollection

    public void setViewCollection(java.util.Collection vView)

  Parameters:
    `vView` -

### unmarshal

    public static Views unmarshal(java.io.Reader reader)
                           throws org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.